修改云虚拟主机的WordPress站点主题提示报错

修改云虚拟主机的WordPress站点主题提示报错

更新时间:2020-07-03 18:23:31

免责声明: 本文档可能包含第三方产品信息,该信息仅供参考。阿里云对第三方产品的性能、可靠性以及操作可能带来的潜在影响,不做任何暗示或其他形式的承诺。

问题描述

云虚拟主机安装WordPress站点后修改主题,提示以下报错。

Internal Server Error

具体报错信息以下图所示。

{60941A15-17FC-4CEC-B813-2A4A01D004FC}_20200519154913.jpg

问题原因

云虚拟主机的PHP版本为5.2,该版本不支持主题中的某些变量。

解决方案

阿里云提醒您:

  • 如果您对实例或数据有修改、变更等风险操作,务必注意实例的容灾、容错能力,确保数据安全。
  • 如果您对实例(包括但不限于ECS、RDS)等进行配置与数据修改,建议提前创建快照或开启RDS日志备份等功能。
  • 如果您在阿里云平台授权或者提交过登录账号、密码等安全信息,建议您及时修改。
  1. 登录主机管理控制台,依次选择高级环境设置>PHP版本设置,选择PHP5.3版本,单击保存设置即可。
  2. 确认可以正常访问WordPress站点,且修改主题成功。

适用于

  • 云虚拟主机

如果您的问题仍未解决,您可以在阿里云社区免费咨询,或提交工单联系阿里云技术支持。